#include "Arduino.h"
#include "MyControl.h"

MyControl::MyControl(int controlType, int countControlCodes) {
  _controlType = controlType;
  _countControlCodes = countControlCodes;
  _controlCode = 0;
  _processing = false;
}

int MyControl::getControlType() {
  return _controlType;
}

int MyControl::setControlCode(int controlCode) {
  if (controlCode >= _countControlCodes) {
    controlCode = 0;
  }
  _controlCode = controlCode;
  return _controlCode;
}

int MyControl::nextControlCode() {
  _controlCode++;
  if (_controlCode >= _countControlCodes) {
    _controlCode = 0;
  }
  return _controlCode;
}

int MyControl::getControlCode() {
  return _controlCode;
}

void MyControl::setProcessing(int processing) {
  _processing = processing;
}

int MyControl::getProcessing() {
  return _processing;
}
