/*
  MyControl.h - A library for defining a controlable object
  Created by Ken Rumer, May 13, 2014.
  Released into the public domain.
*/
#ifndef MyControl_h
#define MyControl_h

#include "Arduino.h"

class MyControl
{
  public:
    MyControl(int controlType, int countControlCodes);
    int getControlType();
    int setControlCode(int controlCode);
    int nextControlCode();
    int getControlCode();
    void setProcessing(int processing);
    int getProcessing();
  private:
    int _controlType;
    int _countControlCodes;
    int _controlCode;
    int _processing;
};
#endif
