/*
  MyRelay.h - A library for setting the value of relay from a Mux Shield II
  Created by Ken Rumer, May 13, 2014.
  Released into the public domain.
*/
#ifndef MyRelay_h
#define MyRelay_h

#include "Arduino.h"
#include "MuxShield.h"

class MyRelay
{
  public:
    MyRelay(int relayPin, MuxShield *muxShield=NULL, int muxShieldRow=0);
    void setRelay(int mode);
  private:
    int _relayPin;
    int _useMuxShield;
    int _muxShieldRow;
    MuxShield *_muxShield;
};
#endif
